ghc-7.0.3: The GHC API

SysTools

Synopsis

- initSysTools :: Maybe String -> DynFlags -> IO DynFlags
- runUnlit :: DynFlags -> [Option] -> IO ()
- runCpp :: DynFlags -> [Option] -> IO ()
- runCc :: DynFlags -> [Option] -> IO ()
- runPp :: DynFlags -> [Option] -> IO ()
- runMangle :: DynFlags -> [Option] -> IO ()
- runSplit :: DynFlags -> [Option] -> IO ()
- runAs :: DynFlags -> [Option] -> IO ()
- runLink :: DynFlags -> [Option] -> IO ()
- runMkDLL :: DynFlags -> [Option] -> IO ()
- runWindres :: DynFlags -> [Option] -> IO ()
- runLlvmOpt :: DynFlags -> [Option] -> IO ()
- runLlvmLlc :: DynFlags -> [Option] -> IO ()
- touch :: DynFlags -> String -> String -> IO ()
- copy :: DynFlags -> String -> FilePath -> FilePath -> IO ()
- copyWithHeader :: DynFlags -> String -> Maybe String -> FilePath -> FilePath -> IO ()
- getExtraViaCOpts :: DynFlags -> IO [String]
- setTmpDir :: FilePath -> DynFlags -> DynFlags
- newTempName :: DynFlags -> Suffix -> IO FilePath
- cleanTempDirs :: DynFlags -> IO ()
- cleanTempFiles :: DynFlags -> IO ()
- cleanTempFilesExcept :: DynFlags -> [FilePath] -> IO ()
- addFilesToClean :: DynFlags -> [FilePath] -> IO ()
- data Option
  - = FileOption String String
  - | Option String

# Documentation

initSysTools :: Maybe String -> DynFlags -> IO DynFlags

runUnlit :: DynFlags -> [Option] -> IO ()

runCpp :: DynFlags -> [Option] -> IO ()

runCc :: DynFlags -> [Option] -> IO ()

runPp :: DynFlags -> [Option] -> IO ()

runMangle :: DynFlags -> [Option] -> IO ()

runSplit :: DynFlags -> [Option] -> IO ()

runAs :: DynFlags -> [Option] -> IO ()

runLink :: DynFlags -> [Option] -> IO ()

runMkDLL :: DynFlags -> [Option] -> IO ()

runWindres :: DynFlags -> [Option] -> IO ()

runLlvmOpt :: DynFlags -> [Option] -> IO ()

runLlvmLlc :: DynFlags -> [Option] -> IO ()

touch :: DynFlags -> String -> String -> IO ()

copy :: DynFlags -> String -> FilePath -> FilePath -> IO ()

copyWithHeader :: DynFlags -> String -> Maybe String -> FilePath -> FilePath -> IO ()

getExtraViaCOpts :: DynFlags -> IO [String]

setTmpDir :: FilePath -> DynFlags -> DynFlags

newTempName :: DynFlags -> Suffix -> IO FilePath

cleanTempDirs :: DynFlags -> IO ()

cleanTempFiles :: DynFlags -> IO ()

cleanTempFilesExcept :: DynFlags -> [FilePath] -> IO ()

addFilesToClean :: DynFlags -> [FilePath] -> IO ()

data Option

When invoking external tools as part of the compilation pipeline, we pass these a sequence of options on the command-line. Rather than just using a list of Strings, we use a type that allows us to distinguish between filepaths and 'other stuff'. The reason for this is that this type gives us a handle on transforming filenames, and filenames only, to whatever format they're expected to be on a particular platform.

Constructors

FileOption String String |
Option String |